BUILT_SOURCES=fat12_rc.c fat12_rc.h
lang_DATA=librdrfat12.cat librdrfat12_cp1251.cat librdrfat12_utf-8.cat librdrfat12_iso8859-5.cat librdrfat12_cp866.cat librdrfat12_koi8-r.cat
langdir=$(CSP_DEF_LDIR)
CPPFLAGS=-I. -I$(CSP_INCLUDE) -I$(CSP_INCLUDE)/reader
SOURCES=fat12prj.h fat12int.h fat12inf.h hdimginf.h os_specific.h flash_group.h fat12_script_wrapper.h f12def.h\
	f12tvol.c f12istat.c f12dsnxt.c f12iname.c f12inick.c \
	f12iflag.c f12dcon.c hdis.c f12lout.c \
	f12kcls.c f12rreg.c f12kopen.c f12kunl.c hdiflag.c f12kchs.c f12cfree.c f12dcl.c \
	hdids.c f12kread.c hdreg.c f12iinst.c f12kwri.c f12cdup.c  f12klen.c f12con.c f12dsop.c \
	f12dscl.c f12dcnxt.c hdidef.c f12dcop.c f12dclr.c f12lock.c f12dccl.c f12dopen.c \
	flash_group.c unix_specific.c fat12_script_wrapper.c \
	fat12.c ehdids.c ehdiflag.c ehdis.c f12grpc.c f12grpn.c f12grpo.c f12def.c ../version.c
add_ldflags=

add_ldflags+=-lpthread
out=librdrfat12

all: $(out).so.4.0.5 $(out).so.4 $(out).so $(lang_DATA)

OBJS= \
	f12tvol.o f12istat.o f12dsnxt.o f12iname.o f12inick.o \
	f12iflag.o f12dcon.o hdis.o f12lout.o \
	f12kcls.o f12rreg.o f12kopen.o f12kunl.o hdiflag.o f12kchs.o f12cfree.o f12dcl.o \
	hdids.o f12kread.o hdreg.o f12iinst.o f12kwri.o f12cdup.o  f12klen.o f12con.o f12dsop.o \
	f12dscl.o f12dcnxt.o hdidef.o f12dcop.o f12dclr.o f12lock.o f12dccl.o f12dopen.o \
	fat12.o ehdids.o ehdiflag.o ehdis.o f12grpc.o f12grpn.o f12grpo.o f12def.o \
	flash_group.o unix_specific.o fat12_script_wrapper.o\
	version.o fat12_rc.o

$(OBJS): $(SOURCES) $(BUILT_SOURCES)

$(BUILT_SOURCES) $(lang_DATA): Win32/fat12_rc.rc ../copyex/derc_dist.sh ../copyex/localize_dist.sh
	../copyex/derc_dist.sh Win32/fat12_rc.rc Version.Win32.rc fat12prj.h Win32 FAT12 ./fat12_rc

include ../rdk.mk
